package controller;

import model.User;

import org.json.JSONException;
import org.json.JSONObject;
import org.springframework.stereotype.Controller;
import org.springframework.validation.BindingResult;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import util.ValidationUtil;
import validator.LoginCheck;
import validator.RegCheck;

@Controller
@RequestMapping("/user")
public class UserController {

	@RequestMapping(value = "/sign")
	public String sign() {
		return "sign";
	}

	@RequestMapping(value = "/login",produces = {"application/json;charset=UTF-8"})
	public @ResponseBody String login(@Validated(value = LoginCheck.class) @ModelAttribute("user") User user,BindingResult bindingResult) throws JSONException{
		if(bindingResult.hasErrors())
			return ValidationUtil.formatError(bindingResult.getFieldErrors()).toString();
		else{
			JSONObject wrap = new JSONObject();
			wrap.put("info", "f");
			return wrap.toString();
		}
	}
	@RequestMapping(value = "/reg", produces = { "application/json;charset=UTF-8" })
	public @ResponseBody String reg(@Validated(value = RegCheck.class) @ModelAttribute("user") User user,BindingResult bindingResult) throws JSONException {
		if (bindingResult.hasErrors())
			return ValidationUtil.formatError(bindingResult.getFieldErrors()).toString();
		else {
			JSONObject wrap = new JSONObject();
			wrap.put("info", "f");
			return wrap.toString();
		}
	}
}