package model;

import javax.validation.constraints.AssertTrue;
import javax.validation.constraints.Size;

import org.hibernate.validator.constraints.Email;
import org.hibernate.validator.constraints.NotEmpty;

import validator.LoginCheck;
import validator.RegCheck;

public class User {
	private int id;
	@NotEmpty(message="用户名不能为空",groups={LoginCheck.class,RegCheck.class})
	@Size(min=3,max=12,message="登录名必须3-12位",groups={RegCheck.class})
	private String name;
	@NotEmpty(message="密码不能为空",groups={LoginCheck.class,RegCheck.class})
	@Size(min=6,max=16,message="密码必须6-16位",groups={RegCheck.class})
	private String pwd;
	@NotEmpty(message="邮箱不能为空",groups={RegCheck.class})
	@Email(message="不符合邮箱格式",groups={RegCheck.class})
	private String email;
	@NotEmpty(message="重复密码不能为空",groups={RegCheck.class})
	private String repwd;
	@AssertTrue(message="密码两次输入不一致",groups={RegCheck.class})
	private boolean isRepwd() {
		return this.pwd.equals(this.repwd);
	}
	public void setRepwd(String repwd) {
		this.repwd = repwd;
	}
	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getPwd() {
		return pwd;
	}

	public void setPwd(String pwd) {
		this.pwd = pwd;
	}
}
